import numpy as np
import random
random.seed(0)

np.random.seed(0)
print(np.random.rand(2))
print(np.random.rand(2))


import numpy as np
import random
random.seed(0)

np.random.seed(0)
print(np.random.rand(2))
np.random.seed(0)
print(np.random.rand(2))


import random
random.seed(0)

print("1: ", random.random())
# 生成同一个随机数
random.seed(0)
print("2: ", random.random())
print("3: ", random.random())
print("4: ", random.random())
# 生成同一个随机数
random.seed(0)
print("5: ", random.random())
print("6: ", random.random())
print("7: ", random.random())
